.chat{
	$r: 15px;
	display: flex;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    //background-color: #fff;
    background-clip: padding-box;
    border: none;
	//border-radius: $r;
    outline: 0;
	max-height: 100%;
    //overflow: hidden;
	&__header{
		position: relative;
		padding: 20px 20px 20px 20px;
		background-color: $white;
		border-top-left-radius: $r;
		border-top-right-radius: $r;
		//border-bottom-right-radius: $r;
		@include md{
			padding-left: 39px;
			padding-top: 21px;
			padding-right: 39px;
			padding-bottom: 0;
			//padding-bottom: 27px;
			width: 630px;
			transform: translateX(33px);
			&:after{
				content:'';
				position: absolute;
				pointer-events: none;
				$h: 102px - 68px;
				bottom: -$h;
				right: 0;
				width: 100px;
				height: $h;
				background-color: $white;
				border-bottom-right-radius: $r;
			}
		}
		.title{
			margin: 0;
			font-size: 24px;
			line-height: 1;
			font-weight: 500;
			margin-bottom: 5px;
		}
		.desc{
			font-size: 18px;
			line-height: 1;
		}
		&-close{
			position: absolute;
			top: 20px;
			right: 20px;
			width: 32px;
			height: 32px;
			display: inline-flex;
			align-items: center;
			justify-content: center;
			@include reset-btn;
			@include color-trans;
			color: $black;
			@include link_hfa{
				color: $a2;
			}
			@include md{
				top: 35px;
				right: 32px;
			}
		}
	}
	&__body{
		position: relative;
		flex: 1 1 auto;
		overflow-y: auto;
		background-color: $white;
		//border-top-left-radius: $r;
		//border-bottom-left-radius: $r;
		//border-bottom-right-radius: $r;
		padding: 0 10px 16px 10px;
		@include md{
			padding: 22px;
			padding-left: 23px;
			padding-top: 8px;
			padding-right: 0;
			padding-bottom: 16px;
			border-top-left-radius: $r;
		}
		//
		.steps{
			position: relative;
			display: inline-flex;
			flex-direction: row;
			margin-left: 10px;
			@include md{
				margin-left: 0;
			}
			&:before{
				content:'';
				position: absolute;
				left: 0;
				top: 50%;
				right: 0;
				height: 2px;
				background-color: $a1;
			}
			&.mod-done{
				&:before{
					background-color: $a2;
				}
				.step{
					&, &.active{
						border-color: $a2;
						background-color: $a2;
					}
				}
			}
			@include md{
				margin-left: 72px - 22px;
			}
			.step{
				position: relative;
				z-index: 5;
				width: 27px;
				height: 27px;
				background-color: $white;
				border: 3px solid $a1;
				box-sizing: border-box;
				border-radius: 5px;
				+ .step{
					margin-left: 23px;
				}
				&.active{
					background-color: $a1;
				}
			}
		}
		//
		.chat__window{
			width: 100%;
			@include md{
				//min-height: 500px;
			}
		}
	}
	&__footer{
		background-color: $white;
		border-bottom-left-radius: $r;
		border-bottom-right-radius: $r;
	}
	&__sendbox{
		position: relative;
		padding-left: 10px;
		padding-bottom: 16px;
		//padding-right: 22px - 8px;
		padding-right: 10px;
		@include md{
			padding-left: 22px;
			padding-right: 22px;
		}
		//
		.btn-result{
			display: block;
			width: 100%;
			@include reset-btn;
			@include bgc-color-trans;
			color: $black;
			font-size: 16px;
			line-height: 46px;
			text-align: center;
			background-color: $a1;
			border-radius: 5px;
			@include link_hfa{
				color: $black;
				background-color: $a2;
			}
		}
		//
		&-variants{
			display: flex;
			flex-direction: row;
			flex-wrap: wrap;
			background-color: $a1;
			border-radius: 5px;
			padding: 8px 8px 0 8px;
			margin-left: -8px;
			margin-right: -8px;
			@include sm('max'){

			}
			&.mod-photo{
				justify-content: space-between;
				.variant{
					margin-right: 0;
					font-size: 0;
					@include md('max') {
						overflow: hidden;
						max-width: 19%;
						flex: 0 0 19%;
					}
					img{
						aspect-ratio: 4 / 3;
						@include md('max') {
							display: block;
							max-width: 100%;
							width: auto;
							height: auto;
							min-height: 30px;
						}
					}
				}
			}
			.variant{
				position: relative;
				display: inline-flex;
				align-items: center;
				//flex: 0;
				flex: 1;
				justify-content: center;
				//max-width: 206px;
				color: $black;
				font-size: 16px;
				line-height: 1;
				white-space: nowrap;
				border-radius: 5px;
				@include reset-btn;
				background-color: $white;
				padding: 11px 6px;
				margin-bottom: 8px;
				border: 1px solid $black;
				@include bgc-color-trans;
				@include link_hfa{
					color: $white;
					background-color: #6D558E;
				}
				margin-left: 4px;
				margin-right: 4px;
				@include sm('max'){
					padding: 6px 16px;
					min-height: 42px;
					flex: 1;
					justify-content: center;
					text-align: center;
				}
				&:last-of-type{
					//margin-right: 0;
				}
				&.active{
					pointer-events: none;
					background-color: #6D558E;
					@include link_hfa{
						color: $black;
						background-color: #6D558E;
					}
					.variant__check{
						display: flex;
						visibility: visible;
					}
				}
				&__check{
					display: none;
					visibility: hidden;
					position: absolute;
					left: 0;
					top: 0;
					right: 0;
					bottom: 0;
					display: flex;
					align-items: center;
					justify-content: center;
				}
				//
				&.mod-photo{
					//width: 98px;
					//height: 79px;
					padding: 0;
					border-radius: 5px;
					@include md {
						border-radius: $r;
					}
					img{
						//display: block;
						//max-width: 100%;
					}
				}
			}
		}
		//
		&-upload{
			&.uploaded{
				label{
					background-color: $a1;
					.text-block{
						svg{
							display: block;
							visibility: visible;
						}
					}
				}
			}
			&.error{
				label{
					background-color: #FFBCBC;
					.text-block{
						span{
							color: #FC0000;
						}
					}
				}
			}
			label{
				appearance: none;
				padding: 5px 12px;
				width: 100%;
				min-height: 46px;
				height: 46px;
				color: $black;
				font-size: 14px;
				line-height: 1;
				background-color: $white;
				border: 1px solid $black;
				border-radius: 5px;
				text-align: center;
				@include bgc-color-trans;
				&:hover{
					cursor: pointer;
					background-color: $a1;
				}
				.text-block{
					position: relative;
					display: inline-block;
					padding-left: 24px;
					padding-right: 24px;
					strong{
						font-size: 17px;
						line-height: 18px;
					}
					span{
						color: #6C6C6C;
						font-size: 14px;
						line-height: 16px;
					}
					svg{
						position: absolute;
						top: 50%;
						right: 0;
						display: none;
						visibility: hidden;
						color: #C00101;
						transform: translateY(-50%);
					}
				}
				strong, span{
					display: block;
				}
				&::placeholder{
					color: #8F8F8F;
				}
				input{
					display: none;
					visibility: hidden;
					position: absolute;
					left: 0;
					top: 0;
					opacity: 0;
				}
			}
		}
		//
		&-textarea{
			textarea, input{
				appearance: none;
				padding: 15px 12px;
				width: 100%;
				min-height: 46px;
				height: 46px;
				color: $black;
				font-size: 14px;
				line-height: 1;
				border: 1px solid $black;
				border-radius: 5px;
				&::placeholder{
					color: #8F8F8F;
				}
			}
		}
		&-send{
			position: absolute;
			top: 12px;
			right: 25px;
			@include md{
				right: 38px;
			}
			.send-btn{
				@include reset-btn;
				color: $black;
				@include color-trans;
				@include link_hfa{
					color: $a2;
				}
				svg{
					//@include bgc-trans;
				}
			}
		}
	}
}

.chat{
	&__window{
		height: 50vh;
		@include md{
			height: 500px;
			padding-right: 14px;
			overflow-x: hidden;
			overflow-y: auto !important;
			overflow-anchor: none;
			&::-webkit-scrollbar-track {
				background-color: $black_10;
			}
			&::-webkit-scrollbar {
				width: 8px;
				background-color: $black_10;
			}
			&::-webkit-scrollbar-thumb {
				background-color: $black_50;
				border-radius: 3px;
				transition: background-color 300ms ease;
			}
		}
		@include lg{
			height: 460px;
		}
		.chat__dialog{
			min-height: 100%;
		}
	}
	&__dialog{
		display: flex;
		flex-direction: column;
		justify-content: flex-end;
		padding-bottom: 6px;
		.message{
			display: flex;
			flex-direction: row;
			margin-top: $x2;
			&.mod-right{
				text-align: right;
				.message__ava{
					display: none;
					visibility: hidden;
				}
				.message__text{
					background-color: $a1;
					@include md{
						margin-left: 100px;
						margin-right: 0;
					}
				}
			}
			&__ava{
				width: 42px;
				height: 42px;
				flex: 0 0 42px;
				margin-right: 14px;
				margin-top: auto;
				img, svg{
					width: 42px;
					height: 42px;
					flex: 0 0 42px;
					display: block;
					max-width: 100%;
				}
			}
			&__text{
				width: 100%;
				padding: 10px 16px;
				font-size: 16px;
				line-height: 1;
				background-color: $a2;
				border-radius: 5px;
				@include md{
					margin-right: 74px;
				}
				&.mod-photo{
					padding: 0;
					width: auto;
					margin-left: auto !important;
					border-radius: 15px;
					img{

					}
				}
				span{
					&.mod-photo{
						pointer-events: none;
						display: inline-flex;
						line-height: 22px;
					}
				}
				&-date{
					margin-top: $x1;
					font-size: 12px;
					line-height: 1;
					color: #6D6D6D;
				}
			}
		}
	}
}